<?php

/*
 * Do not change following lines 
 */
if (!defined('_MOKA_API_URL_'))
    define('_MOKA_API_URL_', 'https://service.moka.com/PaymentDealer/DoDirectPayment');
if (!defined('_MOKA_3D_URL_'))
    define('_MOKA_3D_URL_', 'https://service.moka.com/PaymentDealer/DoDirectPaymentThreeD');
/**/

class ControllerExtensionPaymentMoka extends Controller
{

    public function index()
    {
        $this->load->language('payment/moka');
        $this->document->addStyle('catalog/view/theme/default/stylesheet/moka_form.css');

        $data['text_instruction'] = $this->language->get('text_instruction');
        $data['text_description'] = $this->language->get('text_description');
        $data['text_payment'] = $this->language->get('text_payment');
        $data['text_loading'] = $this->language->get('text_loading');

        $data['button_confirm'] = $this->language->get('button_confirm');

        $data['bank'] = nl2br($this->config->get('moka_bank' . $this->config->get('config_language_id')));

        $data['continue'] = $this->url->link('checkout/success');

        if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/moka.tpl')) {
            return $this->load->view($this->config->get('config_template') . '/moka.tpl', $data);
        } else {
            return $this->load->view('payment/moka.tpl', $data);
        }
    }

}
